SetAdminRoleInfo

View as Markdown

Edits the specified admin role.

Example request: Allow the all permissions except the DelUser and DelApplication.

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

admin_role_idintegerOptional

The admin role to edit. Required unless admin_role_name is provided.

admin_role_namestringOptional

The admin role to edit. Required unless admin_role_id is provided.

new_admin_role_namestringOptional
The new admin role name. The length must be less than 50
admin_role_activebooleanOptional
Whether the admin role is enabled. If false the allowed and denied entries have no affect
entry_modification_modestringOptionalDefaults to set

The modification mode of the permission lists (allowed_entries and denied_entries). The following values are possible: add, del, set

allowed_entrieslist of stringsOptional

The list of allowed access entry changes separated by semicolons (;) (the API function names)

denied_entrieslist of stringsOptional

The list of denied access entry changes separated by semicolons (;) (the API function names)

like_admin_role_idlist of integersOptional

The admin role ID list separated by semicolons (;). Use the ‘all’ value to select all admin roles. The list specifies the roles from which the allowed_entries and denied_entries are merged

like_admin_role_namelist of stringsOptional

The admin role name, can be used instead of like_admin_role_id. The name specifies a role from which the allowed_entries and denied_entries are merged

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully